Subject: bug#6343: closed (Re: bug#6343: Log-edit font lock changes lead to loop)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 12 Jul 2011 08:11:02 +0000

Your bug report

#6343: Log-edit font lock changes lead to loop

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
6343: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6343
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#6343: Log-edit font lock changes lead to loop
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Tue, 12 Jul 2011 04:10:03 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Looks like this was fixed by your 2010-06-12 change to log-edit.

Subject: Log-edit font lock changes lead to loop
From: Chong Yidong <[email-masked]>
To: [email-masked]
Date: Thu, 03 Jun 2010 13:17:52 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I had the following text in my kill ring:

  * cedet/semantic/lex-spp.el
  (semantic-lex-spp-table-write-slot-value): Instead of erroring on
  invalid values during save, just save a nil (Bug#6324).

>From VC-dir, I marked some files and typed "v" to commit them.  In the
log edit buffer, I type "C-y" to attempt to yank into the buffer.  Emacs
became unresponsive to all keyboard input.  According to the debugger,
Emacs is looping on `jit-lock-fontify-now'.

If I revert the following change, the problem goes away.

22010-06-02  Dan Nicolaescu  <[email-masked]>

  * log-edit.el (log-edit-font-lock-keywords): Make group 4 match lax.

This is on an up-to-date trunk build:

GNU Emacs 24.0.50.1 (i686-pc-linux-gnu, GTK+ Version 2.20.1)
 of 2010-06-03 on furry